import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

nogginspot = Turbine.UI.Lotro.Window();
nogginspot:SetPosition(0, 0);
nogginspot:SetSize(80, 80);
nogginspot:SetText("");
nogginspot:SetWantsKeyEvents(true);
nogginspot:SetWantsUpdates(true);
nogginspot:SetVisible(false);

noggintip = Turbine.UI.Window();
noggintip:SetPosition(100, 100);
noggintip:SetSize(102, 102);
noggintip:SetVisible(false);

noggin = Turbine.UI.Control();
noggin:SetParent(noggintip);
noggin:SetPosition(1, 1);
noggin:SetBackColor(Turbine.UI.Color(0.0,0.0,0.0,0.0));
noggin:SetSize( 100, 100 );
noggin:SetMouseVisible( true );
--noggin:SetZOrder(1);
w = 1;
wpX = 0;
wpY = 0;
wsX = 100;
wsY = 100;
wcolR = 1.0;
wcolG = 0.0;
wcolB = 0.0;

for w = 1, 50 do
	noggin[w] = Turbine.UI.Control();
	noggin[w]:SetParent(noggintip);
	noggin[w]:SetPosition( wpX , wpY );
	noggin[w]:SetBackColor(Turbine.UI.Color(1.0,wcolR,wcolG,wcolB));
	noggin[w]:SetSize( wsX , wsY );
	noggin[w]:SetMouseVisible( false );
	wpX = wpX + 1;
	wpY = wpY + 1;
	wsX = wsX - 2;
	wsY = wsY - 2;
	if ( w <= 10  ) then
		wcolB = wcolB + 0.1;
	end
	if ( w >= 11 and w <= 20 ) then
		wcolR = wcolR - 0.1;
	end
	if ( w >= 21 and w <= 30) then
		wcolG = wcolG + 0.1;
	end
	if ( w >= 31 and w <= 40) then
		wcolB = wcolB - 0.1;
	end
	if ( w >= 41 and w <= 50 ) then
		wcolR = wcolR + 0.1;
	end
end	

nogginspot.KeyDown = function(sender, args)
    if (nogginspot.IsControlKeyDown() ) and (nogginspot.IsAltKeyDown() ) and (nogginspot.IsShiftKeyDown() ) then
		mousex , mousey = nogginspot:GetMousePosition();
		noggintip:SetPosition((mousex - 50), (mousey - 50));
		noggintip:SetVisible(true);
		noggintip:SetOpacity(1);
		Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Vitals, false );
	end
end

nogginspot.KeyUp = function(sender, args)
	noggintip:SetVisible(false);
end

function noggin:MouseClick( args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		if ( not self.dragging ) then
			Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Vitals, true );
		end
	end
end

Turbine.Shell.WriteLine("Noggin v1.0.0 by Templedog - enjoy ;-)");
